## org.eclipse.ocl.types
Interface TypesFactory

All Superinterfaces:
  EFactory, EModelElement, EObject, Notifier

All Known Implementing Classes:
  TypesFactoryImpl

    public interface TypesFactory

extends EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `TypesPackage`

Field Summary
`static TypesFactory` `eINSTANCE` The singleton instance of the factory

Method Summary

`

`<O> AnyType<O>`

`

`createAnyType()`
Returns a new object of class 'Any Type'

`

`<C,O> BagType<C,O>`

`

`createBagType()`
Returns a new object of class 'Bag Type'

`

`<C,O> CollectionType<C,O>`

`

`createCollectionType()`
Returns a new object of class 'Collection Type'

`ElementType` `createElementType()` Returns a new object of class 'Element Type'

`

`<O> InvalidType<O>`

`

`createInvalidType()`
Returns a new object of class 'Invalid Type'

`

`<C,O,P> MessageType<C,O,P>`

`

`createMessageType()`
Returns a new object of class 'Message Type'

`

`<C,O> OrderedSetType<C,O>`

`

`createOrderedSetType()`
Returns a new object of class 'Ordered Set Type'

`

`<O> PrimitiveType<O>`

`

`createPrimitiveType()`
Returns a new object of class 'Primitive Type'

`

`<C,O> SequenceType<C,O>`

`

`createSequenceType()`
Returns a new object of class 'Sequence Type'

`

`<C,O> SetType<C,O>`

`

`createSetType()`
Returns a new object of class 'Set Type'

`

`<O,P> TupleType<O,P>`

`

`createTupleType()`
Returns a new object of class 'Tuple Type'

`

`<C,O> TypeType<C,O>`

`

`createTypeType()`
Returns a new object of class 'Type Type'

`

`<O> VoidType<O>`

`

`createVoidType()`
Returns a new object of class 'Void Type'

`TypesPackage` `getTypesPackage()` Returns the package supported by this factory

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final TypesFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createAnyType

    <O> AnyType<O> createAnyType()

  Returns a new object of class 'Any Type'.

  Returns:
    a new object of class 'Any Type'.

### createBagType

    <C,O> BagType<C,O> createBagType()

  Returns a new object of class 'Bag Type'.

  Returns:
    a new object of class 'Bag Type'.

### createCollectionType

    <C,O> CollectionType<C,O> createCollectionType()

  Returns a new object of class 'Collection Type'.

  Returns:
    a new object of class 'Collection Type'.

### createElementType

    ElementType createElementType()

  Returns a new object of class 'Element Type'.

  Returns:
    a new object of class 'Element Type'.

### createInvalidType

    <O> InvalidType<O> createInvalidType()

  Returns a new object of class 'Invalid Type'.

  Returns:
    a new object of class 'Invalid Type'.

### createMessageType

    <C,O,P> MessageType<C,O,P> createMessageType()

  Returns a new object of class 'Message Type'.

  Returns:
    a new object of class 'Message Type'.

### createOrderedSetType

    <C,O> OrderedSetType<C,O> createOrderedSetType()

  Returns a new object of class 'Ordered Set Type'.

  Returns:
    a new object of class 'Ordered Set Type'.

### createPrimitiveType

    <O> PrimitiveType<O> createPrimitiveType()

  Returns a new object of class 'Primitive Type'.

  Returns:
    a new object of class 'Primitive Type'.

### createSequenceType

    <C,O> SequenceType<C,O> createSequenceType()

  Returns a new object of class 'Sequence Type'.

  Returns:
    a new object of class 'Sequence Type'.

### createSetType

    <C,O> SetType<C,O> createSetType()

  Returns a new object of class 'Set Type'.

  Returns:
    a new object of class 'Set Type'.

### createTupleType

    <O,P> TupleType<O,P> createTupleType()

  Returns a new object of class 'Tuple Type'.

  Returns:
    a new object of class 'Tuple Type'.

### createTypeType

    <C,O> TypeType<C,O> createTypeType()

  Returns a new object of class 'Type Type'.

  Returns:
    a new object of class 'Type Type'.

### createVoidType

    <O> VoidType<O> createVoidType()

  Returns a new object of class 'Void Type'.

  Returns:
    a new object of class 'Void Type'.

### getTypesPackage

    TypesPackage getTypesPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.